Docs / iglooworks / API Reference / Health
Health API Reference
Enterprise API endpoints for managing health.
Health Check
GET
/health
Responses
200 Success
Request Example
curl https://api.igloodeveloper.co/health \
-H "Authorization: Bearer $API_KEY"
import { Igloo } from "@igloo/sdk";
const igloo = new Igloo(process.env.IGLOO_API_KEY);
const response = await igloo.health.healthCheck();
from igloo import Igloo
import os
igloo = Igloo(os.environ["IGLOO_API_KEY"])
response = igloo.health.health_check()
package main
import (
"context"
"os"
"go.igloohome.co/orion/sdk"
)
func main() {
client := sdk.NewClient(sdk.ClientOptions{
APIKey: os.Getenv("IGLOO_API_KEY"),
})
err := client.HealthCheck(context.Background())
}
<?php
$client = new \Igloo\Client(getenv("IGLOO_API_KEY"));
$response = $client->healthCheck();
import co.igloo.sdk.Client
val client = Client(apiKey = System.getenv("IGLOO_API_KEY"))
val response = client.healthCheck()
import Foundation
let client = IglooClient(apiKey: ProcessInfo.processInfo.environment["IGLOO_API_KEY"] ?? "")
client.healthCheck { result in
// handle result
}